package com.ruoyi.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
import com.ruoyi.business.domain.TBaseGoods;

/**
 * 商品资料Mapper接口
 * 
 * @author wms
 * @date 2022-05-09
 */
public interface TBaseGoodsMapper extends BaseMapper<TBaseGoods>
{
    /**
     * 查询商品资料
     * 
     * @param goodsId 商品资料主键
     * @return 商品资料
     */
    public TBaseGoods selectTBaseGoodsByGoodsId(String goodsId);

    /**
     * 查询商品资料列表
     * 
     * @param tBaseGoods 商品资料
     * @return 商品资料集合
     */
    public List<TBaseGoods> selectTBaseGoodsList(TBaseGoods tBaseGoods);

    /**
     * 新增商品资料
     * 
     * @param tBaseGoods 商品资料
     * @return 结果
     */
    public int insertTBaseGoods(TBaseGoods tBaseGoods);

    /**
     * 修改商品资料
     * 
     * @param tBaseGoods 商品资料
     * @return 结果
     */
    public int updateTBaseGoods(TBaseGoods tBaseGoods);

    /**
     * 删除商品资料
     * 
     * @param goodsId 商品资料主键
     * @return 结果
     */
    public int deleteTBaseGoodsByGoodsId(String goodsId);

    /**
     * 批量删除商品资料
     * 
     * @param goodsIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTBaseGoodsByGoodsIds(String[] goodsIds);
}
